package com.gic.haoban.manage.service.service;

import com.gic.haoban.manage.service.entity.TabHaobanAppOrder;
import org.springframework.data.domain.Page;
import org.springframework.data.domain.PageRequest;

/**
 * (TabHaobanAppOrder)表服务接口
 *
 * @author makejava
 * @since 2023-06-21 17:24:20
 */
public interface TabHaobanAppOrderService {

    /**
     * 通过ID查询单条数据
     *
     * @param id 主键
     * @return 实例对象
     */
    TabHaobanAppOrder queryById(Long id);

    /**
     * 分页查询
     *
     * @param tabHaobanAppOrder 筛选条件
     * @param pageRequest      分页对象
     * @return 查询结果
     */
    Page<TabHaobanAppOrder> queryByPage(TabHaobanAppOrder tabHaobanAppOrder, PageRequest pageRequest);

    /**
     * 新增数据
     *
     * @param tabHaobanAppOrder 实例对象
     * @return 实例对象
     */
    TabHaobanAppOrder insert(TabHaobanAppOrder tabHaobanAppOrder);

    /**
     * 修改数据
     *
     * @param tabHaobanAppOrder 实例对象
     * @return 实例对象
     */
    TabHaobanAppOrder update(TabHaobanAppOrder tabHaobanAppOrder);

    /**
     * 通过主键删除数据
     *
     * @param id 主键
     * @return 是否成功
     */
    boolean deleteById(Long id);

}
